<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <th:block th:fragment="tab">
    <div th:fragment="list" id="contracts-list">
      <table id="countit" class="ui compact table" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
        <thead>
          <tr>
            <th class="left aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_CONTRACT}}"></th>
            <th class="center aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_START}}"></th>
            <th class="center aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_END}}"></th>
            <th class="right aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_HOURS}}"></th>
            <th class="right aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_PREVIOUS}}"></th>
            <th class="right aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ACTUAL}}"></th>
            <th class="right aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_JANUARY_ABBREV}}"></th>
            <th class="right aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_FEBRUARY_ABBREV}}"></th>
            <th class="right aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_MARCH_ABBREV}}"></th>
            <th class="right aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_APRIL_ABBREV}}"></th>
            <th class="right aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_MAY_ABBREV}}"></th>
            <th class="right aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_JUNE_ABBREV}}"></th>
            <th class="right aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_JULY_ABBREV}}"></th>
            <th class="right aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_AUGUST_ABBREV}}"></th>
            <th class="right aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SEPTEMBER_ABBREV}}"></th>
            <th class="right aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_OCTOBER_ABBREV}}"></th>
            <th class="right aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NOVEMBER_ABBREV}}"></th>
            <th class="right aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DECEMBER_ABBREV}}"></th>
			<th class="right aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_HOURS}}"></th>
			<th class="right aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_BALANCE}}"></th>
          </tr>
        </thead>
        <tbody>
          <tr th:each="item : ${approvedhours}">
            <td class="left aligned">
              <a th:each="prop : ${item.pk.contract.properties}" th:if="${prop.pk.property.name == 'Procedure Number (AT)' and prop.value != '-' and prop.value != 'n/a'}" th:text="${prop.value + ' - '}"></a>
              <a data-inverted="" data-variation="mini" th:data-tooltip="${item.pk.contract.name}" th:text="${#strings.length(item.pk.contract.name) > 35 ? #strings.substring(item.pk.contract.name, 0, 32) + ' ...' : item.pk.contract.name}"></a>
            </td>
            <td class="center aligned" th:text="${#dates.format(item.pk.contract.startingDay.date, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE_SIMPLE)}"></td>
            <td class="center aligned" th:text="${item.pk.contract.endingDay} != null ? ${#dates.format(item.pk.contract.endingDay.date, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE_SIMPLE)} : '-'"></td>
            <td class="right aligned" th:text="${#numbers.formatDecimal(item.pk.contract.hours, 0, 'POINT', 0, 'COMMA')}"></td>
            <td class="right aligned" th:text="${#numbers.formatDecimal(item.previous, 0, 'POINT', 0, 'COMMA')}"></td>
            <td class="right aligned" th:text="${#numbers.formatDecimal(item.actual, 0, 'POINT', 0, 'COMMA')}"></td>
            <td class="right aligned" th:text="${#numbers.formatDecimal(item.january, 0, 'POINT', 0, 'COMMA')}"></td>
            <td class="right aligned" th:text="${#numbers.formatDecimal(item.february, 0, 'POINT', 0, 'COMMA')}"></td>
            <td class="right aligned" th:text="${#numbers.formatDecimal(item.march, 0, 'POINT', 0, 'COMMA')}"></td>
            <td class="right aligned" th:text="${#numbers.formatDecimal(item.april, 0, 'POINT', 0, 'COMMA')}"></td>
            <td class="right aligned" th:text="${#numbers.formatDecimal(item.may, 0, 'POINT', 0, 'COMMA')}"></td>
            <td class="right aligned" th:text="${#numbers.formatDecimal(item.june, 0, 'POINT', 0, 'COMMA')}"></td>
            <td class="right aligned" th:text="${#numbers.formatDecimal(item.july, 0, 'POINT', 0, 'COMMA')}"></td>
            <td class="right aligned" th:text="${#numbers.formatDecimal(item.august, 0, 'POINT', 0, 'COMMA')}"></td>
            <td class="right aligned" th:text="${#numbers.formatDecimal(item.september, 0, 'POINT', 0, 'COMMA')}"></td>
            <td class="right aligned" th:text="${#numbers.formatDecimal(item.october, 0, 'POINT', 0, 'COMMA')}"></td>
            <td class="right aligned" th:text="${#numbers.formatDecimal(item.november, 0, 'POINT', 0, 'COMMA')}"></td>
            <td class="right aligned" th:text="${#numbers.formatDecimal(item.december, 0, 'POINT', 0, 'COMMA')}"></td>
            <td class="right aligned" th:text="${#numbers.formatDecimal(item.total, 0, 'POINT', 0, 'COMMA')}"></td>
            <td class="right aligned" th:text="${#numbers.formatDecimal(item.balance, 0, 'POINT', 0, 'COMMA')}"></td>
          </tr>
          <tr class="active">
            <td th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TOTAL}}"></td>
            <td colspan="2"></td>
            <td class="right aligned" th:text="${not #lists.isEmpty(approvedhours) ? #numbers.formatDecimal(#aggregates.sum(approvedhours.![pk.contract.hours]), 0, 'POINT', 0, 'COMMA') : 0}"></td>
            <td class="right aligned" th:text="${not #lists.isEmpty(approvedhours) ? #numbers.formatDecimal(#aggregates.sum(approvedhours.![previous]), 0, 'POINT', 0, 'COMMA') : 0}"></td>
            <td class="right aligned" th:text="${not #lists.isEmpty(approvedhours) ? #numbers.formatDecimal(#aggregates.sum(approvedhours.![actual]), 0, 'POINT', 0, 'COMMA') : 0}"></td>
            <td class="right aligned" th:text="${not #lists.isEmpty(approvedhours) ? #numbers.formatDecimal(#aggregates.sum(approvedhours.![january]), 0, 'POINT', 0, 'COMMA') : 0}"></td>
            <td class="right aligned" th:text="${not #lists.isEmpty(approvedhours) ? #numbers.formatDecimal(#aggregates.sum(approvedhours.![february]), 0, 'POINT', 0, 'COMMA') : 0}"></td>
            <td class="right aligned" th:text="${not #lists.isEmpty(approvedhours) ? #numbers.formatDecimal(#aggregates.sum(approvedhours.![march]), 0, 'POINT', 0, 'COMMA') : 0}"></td>
            <td class="right aligned" th:text="${not #lists.isEmpty(approvedhours) ? #numbers.formatDecimal(#aggregates.sum(approvedhours.![april]), 0, 'POINT', 0, 'COMMA') : 0}"></td>
            <td class="right aligned" th:text="${not #lists.isEmpty(approvedhours) ? #numbers.formatDecimal(#aggregates.sum(approvedhours.![may]), 0, 'POINT', 0, 'COMMA') : 0}"></td>
            <td class="right aligned" th:text="${not #lists.isEmpty(approvedhours) ? #numbers.formatDecimal(#aggregates.sum(approvedhours.![june]), 0, 'POINT', 0, 'COMMA') : 0}"></td>
            <td class="right aligned" th:text="${not #lists.isEmpty(approvedhours) ? #numbers.formatDecimal(#aggregates.sum(approvedhours.![july]), 0, 'POINT', 0, 'COMMA') : 0}"></td>
            <td class="right aligned" th:text="${not #lists.isEmpty(approvedhours) ? #numbers.formatDecimal(#aggregates.sum(approvedhours.![august]), 0, 'POINT', 0, 'COMMA') : 0}"></td>
            <td class="right aligned" th:text="${not #lists.isEmpty(approvedhours) ? #numbers.formatDecimal(#aggregates.sum(approvedhours.![september]), 0, 'POINT', 0, 'COMMA') : 0}"></td>
            <td class="right aligned" th:text="${not #lists.isEmpty(approvedhours) ? #numbers.formatDecimal(#aggregates.sum(approvedhours.![october]), 0, 'POINT', 0, 'COMMA') : 0}"></td>
            <td class="right aligned" th:text="${not #lists.isEmpty(approvedhours) ? #numbers.formatDecimal(#aggregates.sum(approvedhours.![november]), 0, 'POINT', 0, 'COMMA') : 0}"></td>
            <td class="right aligned" th:text="${not #lists.isEmpty(approvedhours) ? #numbers.formatDecimal(#aggregates.sum(approvedhours.![december]), 0, 'POINT', 0, 'COMMA') : 0}"></td>
            <td class="right aligned" th:text="${not #lists.isEmpty(approvedhours) ? #numbers.formatDecimal(#aggregates.sum(approvedhours.![total]), 0, 'POINT', 0, 'COMMA') : 0}"></td>
            <td class="right aligned" th:text="${not #lists.isEmpty(approvedhours) ? #numbers.formatDecimal(#aggregates.sum(approvedhours.![balance]), 0, 'POINT', 0, 'COMMA') : 0}"></td>
          </tr>
        </tbody>
      </table>
    </div>
  </th:block>
</body>
</html>